%define  debug_package %{nil}
Summary: Volume daemon for NewStart desktop suite
Name:    nde-volume
Version: 0.0.1
Release: 104%{?dist}
License: LGPLv2+
URL:     http://lxqt.org/
Source0: %{name}-%{version}.tar.gz
BuildRequires: qt5-qtbase-devel, qt5-linguist, kf5-kwindowsystem-devel, qt5-qtx11extras-devel
BuildRequires: nde-lib-devel, cmake, gcc, gcc-c++
BuildRequires: pulseaudio-libs-devel, alsa-lib-devel, libstatgrab-devel
Requires:       nde-volume
Requires:       qt5-qtbase
Requires:       qt5-qtx11extras
Requires:       nde-lib
Requires:       pulseaudio-libs
Requires:       alsa-lib
Requires:       pulseaudio



%description
%{summary}.



%prep
%setup -q



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    cmake3 -DCMAKE_INSTALL_PREFIX=/usr -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%files
%{_bindir}/nde-volume
%{_sysconfdir}/xdg/autostart/nde-volume.desktop



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-104
- small fix

* Mon Nov 9 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-103
- 修复屏幕尺寸变化时，显示错位的问题

* Tue Oct 27 2020 He.leilei <he.leilei@zte.com.cn> - 0.0.1-9
- 关闭动画后样式修改 

* Thu Sep 03 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-8
- 修复任务栏在隐藏状态下显示位置不正确

* Wed Jul 08 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-7
- 修复音量小部件偶尔不能跟随panel显示的问题

* Mon Jul 06 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-6
- 修复静音状态下点击改变音量大小后提示错误问题

* Tue Jun 23 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-5
- 修改音量弹窗模糊度以及弹窗与任务栏之间的间距

* Thu Jun 11 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-4
- 加入判断任务栏是否为自动隐藏，并调整音量控制小部件位置

* Wed Jun 10 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-3
- make volume display with panel

* Mon Jun 8 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-2
- make volume display with panel and change volume valume by mouse click

* Mon May 25 2020 zhoutuan <zhou.tuan@zte.com.cn> - 0.0.1-1
- First release volume

